DateTimeZone::__construct
DateTimeZone::getName
DateTimeZone
PHP Manual

# DateTimeZone::getLocation

# timezone_location_get

(PHP 5 >= 5.3.0, PHP 7)

DateTimeZone::getLocation -- timezone_location_get — Returns location information for a timezone

### Description

Object oriented style

public array DateTimeZone::getLocation ( void )

Procedural style

array timezone_location_get ( DateTimeZone `$object` )

Returns location information for a timezone, including country code, latitude/longitude and comments.

### Parameters

`object`

  Procedural style only: A DateTimeZone object returned by timezone_open()

### Return Values

Array containing location information about timezone.

### Examples

Example #1 DateTimeZone::getLocation() example

`<?php
$tz = new DateTimeZone("Europe/Prague");
print_r($tz->getLocation());
print_r(timezone_location_get($tz));
?>`

The above example will output:

    Array
    (
        [country_code] => CZ
        [latitude] => 50.08333
        [longitude] => 14.43333
        [comments] =>
    )
    Array
    (
        [country_code] => CZ
        [latitude] => 50.08333
        [longitude] => 14.43333
        [comments] =>
    )

DateTimeZone::__construct
DateTimeZone::getName
DateTimeZone
PHP Manual